package gs.test.v0

import cats.effect.IO
import cats.effect.unsafe.IORuntime
import munit.FunSuite
import munit.Location

abstract class IOSuite extends FunSuite:
  implicit val runtime: IORuntime = IORuntime.global

  def iotest(
    name: String
  )(
    body: => IO[Any]
  )(
    implicit
    loc: Location
  ): Unit =
    test(name)(body.unsafeRunSync())
